
#define C_WANSUNG	0		     /* Hangul Code  */
#define C_JOHAB		1

#define F_WANSUNG	0		     /* Hangul Font type  */
#define F_JOHAB		1

#ifdef DISP_X11
#include <X11/Xlib.h>
#else
typedef struct {		/* normal 16 bit characters are two bytes */
    unsigned char byte1;
    unsigned char byte2;
} XChar2b;
#endif
/** we need  above because of XChar2b struct used at automata.c */
#ifdef DISP_X11
int HDrawImageString(Display *dpy,Window w,GC gc,GC hgc,GC fillgc,
  int x,int y,char *str,int len);

int HDrawString(Display *dpy,Window w,GC gc,GC hgc,
  int x,int y,char *str,int len);
#endif

#ifndef hangul_main
 extern int (*convert_code_to_display)(unsigned char *src,XChar2b *des,int len);
 extern int (*convert_3_to_code)(int f,int m,int l,unsigned char *buf);
#endif
int convert_3_to_ks(int f,int m,int l,unsigned char *des);
int convert_3_to_johab(int f,int m,int l,unsigned char *des);
int convert_3_to_display(int f,int m,int l,XChar2b *des);
#ifdef DISP_X11
/****routines for displaying hangul */
int convert_ks_to_ks(unsigned char *src,XChar2b *des,int len);
int convert_ks_to_johab(unsigned char *src,XChar2b *des,int len);
int convert_johab_to_ks(unsigned char *src,XChar2b *des,int len);
int convert_johab_to_johab(unsigned char *src,XChar2b *des,int len);
#endif
#ifndef automata_main
 extern int (*hangul_automata)(int,char *);
 extern int hangul_automata2(int,char *);
 extern int hangul_automata3(int,char *);
#else
 extern int keyboard;
 extern int hangul_state;
#endif
